
# HG changeset patch
# User Ian Neal <iann_cvs@blueyonder.co.uk>
# Date 1492038906 -3600
# Node ID 338a34a3ebc1e9981518e576a5e6e5f920602f71
# Parent  bc264de3e97dcd4c9385342bd6873ad4411f5a69
Bug 1343053 - Update en-GB for Gecko 52 - Toolkit part r=me

diff --git a/devtools/shared/styleinspector.properties b/devtools/shared/styleinspector.properties
--- a/devtools/shared/styleinspector.properties
+++ b/devtools/shared/styleinspector.properties
@@ -82,16 +82,20 @@ rule.bezierSwatch.tooltip=Click to open 
 # LOCALIZATION NOTE (rule.filterSwatch.tooltip): Text displayed in a tooltip
 # when the mouse is over a filter swatch in the rule view.
 rule.filterSwatch.tooltip=Click to open the filter editor
 
 # LOCALIZATION NOTE (rule.angleSwatch.tooltip): Text displayed in a tooltip
 # when the mouse is over a angle swatch in the rule view.
 rule.angleSwatch.tooltip=Shift+click to change the angle format
 
+# LOCALIZATION NOTE (rule.gridToggle.tooltip): Text displayed in a tooltip
+# when the mouse is over a CSS Grid toggle icon in the rule view.
+rule.gridToggle.tooltip=Click to toggle the CSS Grid highlighter
+
 # LOCALIZATION NOTE (styleinspector.contextmenu.copyColor): Text displayed in the rule
 # and computed view context menu when a color value was clicked.
 styleinspector.contextmenu.copyColor=Copy Colour
 
 # LOCALIZATION NOTE (styleinspector.contextmenu.copyColor.accessKey): Access key for
 # the rule and computed view context menu "Copy Color" entry.
 styleinspector.contextmenu.copyColor.accessKey=l
 
diff --git a/dom/chrome/dom/dom.properties b/dom/chrome/dom/dom.properties
--- a/dom/chrome/dom/dom.properties
+++ b/dom/chrome/dom/dom.properties
@@ -66,16 +66,17 @@ EnablePrivilegeWarning=Use of enablePriv
 nsIJSONDecodeDeprecatedWarning=nsIJSON.decode is deprecated.  Please use JSON.parse instead.
 nsIJSONEncodeDeprecatedWarning=nsIJSON.encode is deprecated.  Please use JSON.stringify instead.
 nsIDOMWindowInternalWarning=Use of nsIDOMWindowInternal is deprecated. Use nsIDOMWindow instead.
 FullscreenDeniedDisabled=Request for fullscreen was denied because Fullscreen API is disabled by user preference.
 FullscreenDeniedFocusedPlugin=Request for fullscreen was denied because a windowed plugin is focused.
 FullscreenDeniedHidden=Request for fullscreen was denied because the document is no longer visible.
 FullscreenDeniedContainerNotAllowed=Request for fullscreen was denied because at least one of the document's containing elements is not an iframe or does not have an "allowfullscreen" attribute.
 FullscreenDeniedNotInputDriven=Request for fullscreen was denied because Element.requestFullscreen() was not called from inside a short running user-generated event handler.
+FullscreenDeniedNotHTMLSVGOrMathML=Request for fullscreen was denied because requesting element is not <svg>, <math>, or an HTML element.
 FullscreenDeniedNotInDocument=Request for fullscreen was denied because requesting element is no longer in its document.
 FullscreenDeniedMovedDocument=Request for fullscreen was denied because requesting element has moved document.
 FullscreenDeniedLostWindow=Request for fullscreen was denied because we no longer have a window.
 FullscreenDeniedSubDocFullscreen=Request for fullscreen was denied because a subdocument of the document requesting fullscreen is already fullscreen.
 FullscreenDeniedNotDescendant=Request for fullscreen was denied because requesting element is not a descendant of the current fullscreen element.
 FullscreenDeniedNotFocusedTab=Request for fullscreen was denied because requesting element is not in the currently focused tab.
 RemovedFullscreenElement=Exited fullscreen because fullscreen element was removed from document.
 FocusedWindowedPluginWhileFullscreen=Exited fullscreen because windowed plugin was focused.
@@ -125,20 +126,22 @@ MediaLoadUnsupportedMimeType=HTTP "Conte
 MediaLoadDecodeError=Media resource %S could not be decoded.
 MediaWidevineNoWMFNoSilverlight=Trying to play Widevine with no Windows Media Foundation (nor Silverlight fallback), see https://support.mozilla.org/kb/fix-video-audio-problems-firefox-windows
 # LOCALIZATION NOTE: %S is a comma-separated list of codecs (e.g. 'video/mp4, video/webm')
 MediaWMFNeeded=To play video formats %S, you need to install extra Microsoft software, see https://support.mozilla.org/kb/fix-video-audio-problems-firefox-windows
 # LOCALIZATION NOTE: %S is a comma-separated list of codecs (e.g. 'video/mp4, video/webm')
 MediaUnsupportedBeforeWindowsVista=Video formats %S unsupported by Microsoft before Windows Vista
 # LOCALIZATION NOTE: %S is a comma-separated list of codecs (e.g. 'video/mp4, video/webm')
 MediaPlatformDecoderNotFound=The video on this page can't be played. Your system may not have the required video codecs for: %S
+MediaUnsupportedLibavcodec=The video on this page can’t be played. Your system has an unsupported version of libavcodec
 # LOCALIZATION NOTE: %S is a comma-separated list of codecs (e.g. 'video/mp4, video/webm')
 MediaCannotPlayNoDecoders=Cannot play media. No decoders for requested formats: %S
 # LOCALIZATION NOTE: %S is a comma-separated list of codecs (e.g. 'video/mp4, video/webm')
 MediaNoDecoders=No decoders for some of the requested formats: %S
+MediaCannotInitializePulseAudio=Unable to use PulseAudio
 # LOCALIZATION NOTE: Do not translate "MediaRecorder".
 MediaRecorderMultiTracksNotSupported=MediaRecorder does not support recording multiple tracks of the same type at this time.
 # LOCALIZATION NOTE: %S is the ID of the MediaStreamTrack passed to MediaStream.addTrack(). Do not translate "MediaStreamTrack" and "AudioChannel".
 MediaStreamAddTrackDifferentAudioChannel=MediaStreamTrack %S could not be added since it belongs to a different AudioChannel.
 # LOCALIZATION NOTE: Do not translate "MediaStream", "stop()" and "MediaStreamTrack"
 MediaStreamStopDeprecatedWarning=MediaStream.stop() is deprecated and will soon be removed. Use MediaStreamTrack.stop() instead.
 # LOCALIZATION NOTE: Do not translate "DOMException", "code" and "name"
 DOMExceptionCodeWarning=Use of DOMException's code attribute is deprecated. Use name instead.
@@ -244,61 +247,74 @@ PatternAttributeCompileFailure=Unable to
 TargetPrincipalDoesNotMatch=Failed to execute 'postMessage' on 'DOMWindow': The target origin provided ('%S') does not match the recipient window's origin ('%S').
 # LOCALIZATION NOTE: Do not translate 'YouTube'. %S values are origins, like https://domain.com:port
 RewriteYouTubeEmbed=Rewriting old-style YouTube Flash embed (%S) to iframe embed (%S). Please update page to use iframe instead of embed/object, if possible.
 # LOCALIZATION NOTE: Do not translate 'YouTube'. %S values are origins, like https://domain.com:port
 RewriteYouTubeEmbedPathParams=Rewriting old-style YouTube Flash embed (%S) to iframe embed (%S). Params were unsupported by iframe embeds and converted. Please update page to use iframe instead of embed/object, if possible.
 # LOCALIZATION NOTE: This error is reported when the "Encryption" header for an
 # incoming push message is missing or invalid. Do not translate "ServiceWorker",
 # "Encryption", and "salt". %1$S is the ServiceWorker scope URL.
+PushMessageBadEncryptionHeader=The ServiceWorker for scope ‘%1$S’ failed to decrypt a push message. The ‘Encryption’ header must include a unique ‘salt‘ parameter for each message. See https://tools.ietf.org/html/draft-ietf-httpbis-encryption-encoding-02#section-3.1 for more information.
 # LOCALIZATION NOTE: This error is reported when the "Crypto-Key" header for an
 # incoming push message is missing or invalid. Do not translate "ServiceWorker",
 # "Crypto-Key", and "dh". %1$S is the ServiceWorker scope URL.
+PushMessageBadCryptoKeyHeader=The ServiceWorker for scope ‘%1$S’ failed to decrypt a push message. The ‘Crypto-Key‘ header must include a ‘dh‘ parameter containing the app server’s public key. See https://tools.ietf.org/html/draft-ietf-httpbis-encryption-encoding-02#section-4 for more information.
 # LOCALIZATION NOTE: This error is reported when a push message fails to decrypt because the deprecated
 # "Encryption-Key" header for an incoming push message is missing or invalid.
 # Do not translate "ServiceWorker", "Encryption-Key", "dh", "Crypto-Key", and
 # "Content-Encoding: aesgcm". %1$S is the ServiceWorker scope URL.
+PushMessageBadEncryptionKeyHeader=The ServiceWorker for scope ‘%1$S’ failed to decrypt a push message. The ‘Encryption-Key’ header must include a ‘dh‘ parameter. This header is deprecated and will soon be removed. Please use ‘Crypto-Key‘ with ‘Content-Encoding: aesgcm‘ instead. See https://tools.ietf.org/html/draft-ietf-httpbis-encryption-encoding-02#section-4 for more information.
 # LOCALIZATION NOTE: This error is reported when a push message fails to decrypt
 # because the "Content-Encoding" header is missing or contains an
 # unsupported encoding. Do not translate "ServiceWorker", "Content-Encoding",
 # "aesgcm", and "aesgcm128". %1$S is the ServiceWorker scope URL.
+PushMessageBadEncodingHeader=The ServiceWorker for scope ‘%1$S’ failed to decrypt a push message. The ‘Content-Encoding‘ header must be ‘aesgcm‘. ‘aesgcm128‘ is allowed, but deprecated and will soon be removed. See https://tools.ietf.org/html/draft-ietf-httpbis-encryption-encoding-02#section-2 for more information.
 # LOCALIZATION NOTE: This error is reported when a push message fails to decrypt
 # because the "dh" parameter is not valid base64url. Do not translate
 # "ServiceWorker", "dh", "Crypto-Key", and "base64url". %1$S is the
 # ServiceWorker scope URL.
+PushMessageBadSenderKey=The ServiceWorker for scope ‘%1$S’ failed to decrypt a push message. The ‘dh‘ parameter in the ‘Crypto-Key‘ header must be the app server’s Diffie-Hellman public key, base64url-encoded (https://tools.ietf.org/html/rfc7515#appendix-C) and in “uncompressed” or “raw” form (65 bytes before encoding. See https://tools.ietf.org/html/draft-ietf-httpbis-encryption-encoding-02#section-4 for more information.
 # LOCALIZATION NOTE: This error is reported when a push message fails to decrypt
 # because the "salt" parameter is not valid base64url. Do not translate
 # "ServiceWorker", "salt", "Encryption", and "base64url". %1$S is the
 # ServiceWorker scope URL.
+PushMessageBadSalt=The ServiceWorker for scope ‘%1$S’ failed to decrypt a push message. The ‘salt‘ parameter in the ‘Encryption‘ header must be base64url-encoded (https://tools.ietf.org/html/rfc7515#appendix-C), and be at least 16 bytes before encoding. See https://tools.ietf.org/html/draft-ietf-httpbis-encryption-encoding-02#section-3.1 for more information.
 # LOCALIZATION NOTE: This error is reported when a push message fails to decrypt
 # because the "rs" parameter is not a number, or is less than the pad size.
 # Do not translate "ServiceWorker", "rs", or "Encryption". %1$S is the
 # ServiceWorker scope URL. %2$S is the minimum value (1 for aesgcm128, 2 for
 # aesgcm).
+PushMessageBadRecordSize=The ServiceWorker for scope ‘%1$S’ failed to decrypt a push message. The ‘rs‘ parameter of the ‘Encryption‘ header must be between %2$S and 2^36-31, or omitted entirely. See https://tools.ietf.org/html/draft-ietf-httpbis-encryption-encoding-02#section-3.1 for more information.
 # LOCALIZATION NOTE: This error is reported when a push message fails to decrypt
 # because an encrypted record is shorter than the pad size, the pad is larger
 # than the record, or any of the padding bytes are non-zero. Do not translate
 # "ServiceWorker". %1$S is the ServiceWorker scope URL. %2$S is the pad size
 # (1 for aesgcm128, 2 for aesgcm).
+PushMessageBadPaddingError=The ServiceWorker for scope ‘%1$S’ failed to decrypt a push message. A record in the encrypted message was not padded correctly. See https://tools.ietf.org/html/draft-ietf-httpbis-encryption-encoding-02#section-2 for more information.
 # LOCALIZATION NOTE: This error is reported when push message decryption fails
 # and no specific error info is available. Do not translate "ServiceWorker".
 # %1$S is the ServiceWorker scope URL.
+PushMessageBadCryptoError=The ServiceWorker for scope ‘%1$S’ failed to decrypt a push message. For help with encryption, please see https://developer.mozilla.org/docs/Web/API/Push_API/Using_the_Push_API#Encryption
 # LOCALIZATION NOTE: %1$S is the type of a DOM event. 'passive' is a literal parameter from the DOM spec.
 PreventDefaultFromPassiveListenerWarning=Ignoring ‘preventDefault()’ call on event of type ‘%1$S’ from a listener registered as ‘passive’.
 FileLastModifiedDateWarning=File.lastModifiedDate is deprecated. Use File.lastModified instead.
 # LOCALIZATION NOTE: 'ImageBitmapRenderingContext.transferImageBitmap' and 'ImageBitmapRenderingContext.transferFromImageBitmap' should not be translated
+ImageBitmapRenderingContext_TransferImageBitmap=ImageBitmapRenderingContext.transferImageBitmap is deprecated and will be removed soon. Use ImageBitmapRenderingContext.transferFromImageBitmap instead.
 ChromeScriptedDOMParserWithoutPrincipal=Creating DOMParser without a principal is deprecated.
 IIRFilterChannelCountChangeWarning=IIRFilterNode channel count changes may produce audio glitches.
 BiquadFilterChannelCountChangeWarning=BiquadFilterNode channel count changes may produce audio glitches.
 # LOCALIZATION NOTE: %1$S is the unanimatable paced property.
 UnanimatablePacedProperty=Paced property ‘%1$S’ is not an animatable property.
 # LOCALIZATION NOTE: Do not translate ".jpeg"
 GenericImageNameJPEG=image.jpeg
 # LOCALIZATION NOTE: Do not translate ".gif"
 GenericImageNameGIF=image.gif
 # LOCALIZATION NOTE: Do not translate ".png"
 GenericImageNamePNG=image.png
 GenericFileName=file
 # LOCALIZATION NOTE: Do not translate "Large-Allocation", as it is a literal header name
+LargeAllocationSuccess=This page was loaded in a new process due to a Large-Allocation header.
 # LOCALIZATION NOTE: Do not translate "Large-Allocation", as it is a literal header name. Do not translate GET.
+LargeAllocationNonGetRequest=A Large-Allocation header was ignored due to the load being triggered by a non-GET request.
+# LOCALIZATION NOTE: Do not translate "Large-Allocation", as it is a literal header name. Do not translate `window.opener`.
+LargeAllocationRelatedBrowsingContexts=A Large-Allocation header was ignored due to the presence of windows which have a reference to this browsing context.
 # LOCALIZATION NOTE: Do not translate "Large-Allocation", as it is a literal header name
-# LOCALIZATION NOTE: Do not translate "Large-Allocation", as it is a literal header name
-# LOCALIZATION NOTE: Do not translate "Large-Allocation", as it is a literal header name
+LargeAllocationNonE10S=A Large-Allocation header was ignored due to the document not being loaded out of process.
diff --git a/dom/chrome/layout/css.properties b/dom/chrome/layout/css.properties
--- a/dom/chrome/layout/css.properties
+++ b/dom/chrome/layout/css.properties
@@ -93,16 +93,18 @@ PEPseudoClassNoArg=Missing argument in p
 PEPseudoClassNotUserAction=Expected end of selector or a user action pseudo-class after pseudo-element but found pseudo-class '%1$S'.
 PESelectorEOF=selector
 PEBadDeclBlockStart=Expected '{' to begin declaration block but found '%1$S'.
 PEColorEOF=colour
 PEColorNotColor=Expected colour but found '%1$S'.
 PEColorComponentEOF=colour component
 PEExpectedPercent=Expected a percentage but found '%1$S'.
 PEExpectedInt=Expected an integer but found '%1$S'.
+PEExpectedNumberOrAngle=Expected a number or an angle but found ‘%1$S’.
+PEExpectedNumberOrPercent=Expected a number or a percentage but found ‘%1$S’.
 PEColorBadRGBContents=Expected number or percentage in rgb() but found '%1$S'.
 PEColorComponentBadTerm=Expected '%2$S' but found '%1$S'.
 PEColorHueEOF=hue
 PEExpectedComma=Expected ',' but found '%1$S'.
 PEColorSaturationEOF=saturation
 PEColorLightnessEOF=lightness
 PEColorOpacityEOF=opacity in colour value
 PEExpectedNumber=Expected a number but found '%1$S'.
diff --git a/dom/chrome/plugins.properties b/dom/chrome/plugins.properties
--- a/dom/chrome/plugins.properties
+++ b/dom/chrome/plugins.properties
@@ -16,16 +16,19 @@ version_label=Version:
 state_label=State:
 state_enabled=Enabled
 state_disabled=Disabled
 mimetype_label=MIME Type
 description_label=Description
 suffixes_label=Suffixes
 learn_more_label=Learn More
 
+deprecation_description=Missing something? Some plugins are no longer supported.
+deprecation_learn_more=Learn More.
+
 # GMP Plugins
 gmp_license_info=Licence information
 gmp_privacy_info=Privacy Information
 
 openH264_name=OpenH264 Video Codec provided by Cisco Systems, Inc.
 openH264_description2=This plugin is automatically installed by Mozilla to comply with the WebRTC specification and to enable WebRTC calls with devices that require the H.264 video codec. Visit http://www.openh264.org/ to view the codec source code and learn more about the implementation.
 
 eme-adobe_name=Primetime Content Decryption Module provided by Adobe Systems, Incorporated
diff --git a/dom/chrome/security/csp.properties b/dom/chrome/security/csp.properties
--- a/dom/chrome/security/csp.properties
+++ b/dom/chrome/security/csp.properties
@@ -34,16 +34,27 @@ ignoringUnknownOption = Ignoring unknown
 ignoringDuplicateSrc = Ignoring duplicate source %1$S
 # LOCALIZATION NOTE (ignoringSrcFromMetaCSP):
 # %1$S defines the ignored src
 ignoringSrcFromMetaCSP = Ignoring source '%1$S' (Not supported when delivered via meta element).
 # LOCALIZATION NOTE (ignoringSrcWithinScriptStyleSrc):
 # %1$S is the ignored src
 # script-src and style-src are directive names and should not be localized
 ignoringSrcWithinScriptStyleSrc = Ignoring "%1$S" within script-src or style-src: nonce-source or hash-source specified
+# LOCALIZATION NOTE (ignoringSrcForStrictDynamic):
+# %1$S is the ignored src
+# script-src, as well as 'strict-dynamic' should not be localized
+ignoringSrcForStrictDynamic = Ignoring “%1$S” within script-src: ‘strict-dynamic’ specified
+# LOCALIZATION NOTE (ignoringStrictDynamic):
+# %1$S is the ignored src
+ignoringStrictDynamic = Ignoring source “%1$S” (Only supported within script-src). 
+# LOCALIZATION NOTE (strictDynamicButNoHashOrNonce):
+# %1$S is the csp directive that contains 'strict-dynamic'
+# 'strict-dynamic' should not be localized
+strictDynamicButNoHashOrNonce = Keyword ‘strict-dynamic’ within “%1$S” with no valid nonce or hash might block all scripts from loading
 # LOCALIZATION NOTE (reportURInotHttpsOrHttp2):
 # %1$S is the ETLD of the report URI that is not HTTP or HTTPS
 reportURInotHttpsOrHttp2 = The report URI (%1$S) should be an HTTP or HTTPS URI.
 # LOCALIZATION NOTE (reportURInotInReportOnlyHeader):
 # %1$S is the ETLD of the page with the policy
 reportURInotInReportOnlyHeader = This site (%1$S) has a Report-Only policy without a report URI. CSP will not block and cannot report violations of this policy.
 # LOCALIZATION NOTE (failedToParseUnrecognizedSource):
 # %1$S is the CSP Source that could not be parsed
@@ -72,16 +83,19 @@ notSupportingDirective = Not supporting 
 # %1$S is the URL of the blocked resource load.
 blockAllMixedContent = Blocking insecure request '%1$S'.
 # LOCALIZATION NOTE (ignoringDirectiveWithNoValues):
 # %1$S is the name of a CSP directive that requires additional values (e.g., 'require-sri-for')
 ignoringDirectiveWithNoValues = Ignoring ‘%1$S‘ since it does not contain any parameters.
 # LOCALIZATION NOTE (ignoringReportOnlyDirective):
 # %1$S is the directive that is ignored in report-only mode.
 ignoringReportOnlyDirective = Ignoring sandbox directive when delivered in a report-only policy ‘%1$S’
+# LOCALIZATION NOTE (deprecatedReferrerDirective):
+# %1$S is the value of the deprecated Referrer Directive.
+deprecatedReferrerDirective = Referrer Directive ‘%1$S’ has been deprecated. Please use the Referrer-Policy header instead.
 
 # CSP Errors:
 # LOCALIZATION NOTE (couldntParseInvalidSource):
 # %1$S is the source that could not be parsed
 couldntParseInvalidSource = Couldn't parse invalid source %1$S
 # LOCALIZATION NOTE (couldntParseInvalidHost):
 # %1$S is the host that's invalid
 couldntParseInvalidHost = Couldn't parse invalid host %1$S
diff --git a/security/manager/chrome/pippki/pippki.properties b/security/manager/chrome/pippki/pippki.properties
--- a/security/manager/chrome/pippki/pippki.properties
+++ b/security/manager/chrome/pippki/pippki.properties
@@ -1,16 +1,17 @@
 # This Source Code Form is subject to the terms of the Mozilla Public
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
 CertPassPrompt=Please enter the Personal Security Password for the PSM Private Keys security device.
 
 # LOCALIZATION NOTE(certWithSerial): Used for semi-uniquely representing a cert.
 # %1$S is the serial number of the cert in AA:BB:CC hex format.
+certWithSerial=Certificate with serial number: %1$S
 
 # Download Cert dialog
 # LOCALIZATION NOTE(newCAMessage1):
 # %S is a string representative of the certificate being downloaded/imported.
 newCAMessage1=Do you want to trust "%S" for the following purposes?
 unnamedCA=Certificate Authority (unnamed)
 
 # For editing cert trust
@@ -105,20 +106,25 @@ pageInfo_Privacy_None4=The page you are 
 # %3$S is protocol version like "SSL 3" or "TLS 1.2"
 pageInfo_EncryptionWithBitsAndProtocol=Connection Encrypted (%1$S, %2$S bit keys, %3$S)
 pageInfo_BrokenEncryption=Broken Encryption (%1$S, %2$S bit keys, %3$S)
 pageInfo_Privacy_Encrypted1=The page you are viewing was encrypted before being transmitted over the Internet.
 pageInfo_Privacy_Encrypted2=Encryption makes it difficult for unauthorised people to view information travelling between computers. It is therefore unlikely that anyone read this page as it travelled across the network.
 pageInfo_MixedContent=Connection Partially Encrypted
 pageInfo_MixedContent2=Parts of the page you are viewing were not encrypted before being transmitted over the Internet.
 pageInfo_WeakCipher=Your connection to this web site uses weak encryption and is not private. Other people can view your information or modify the site's behaviour.
+pageInfo_CertificateTransparency_None=This web site does not supply Certificate Transparency audit records.
+pageInfo_CertificateTransparency_OK=This web site supplies publicly auditable Certificate Transparency records.
+pageInfo_CertificateTransparency_UnknownLog=This web site claims to have Certificate Transparency audit records, but the records were issued by an unknown party and cannot be verified.
+pageInfo_CertificateTransparency_Invalid=This web site supplies Certificate Transparency audit records, but the records failed verification.
 
 # Cert Viewer
 # LOCALIZATION NOTE(certViewerTitle): Title used for the Certificate Viewer.
 # %1$S is a string representative of the certificate being viewed.
+certViewerTitle=Certificate Viewer: “%1$S”
 notPresent=<Not Part Of Certificate>
 
 # Token Manager
 password_not_set=(not set)
 failed_pw_change=Unable to change Master Password.
 incorrect_pw=You did not enter the correct current Master Password. Please try again.
 pw_change_ok=Master Password successfully changed.
 pw_erased_ok=Warning! You have deleted your Master Password.\u0020
diff --git a/toolkit/chrome/global/aboutNetworking.dtd b/toolkit/chrome/global/aboutNetworking.dtd
--- a/toolkit/chrome/global/aboutNetworking.dtd
+++ b/toolkit/chrome/global/aboutNetworking.dtd
@@ -24,12 +24,20 @@
 <!ENTITY aboutNetworking.received              "Received">
 <!ENTITY aboutNetworking.family                "Family">
 <!ENTITY aboutNetworking.addresses             "Addresses">
 <!ENTITY aboutNetworking.expires               "Expires (Seconds)">
 <!ENTITY aboutNetworking.messagesSent          "Messages Sent">
 <!ENTITY aboutNetworking.messagesReceived      "Messages Received">
 <!ENTITY aboutNetworking.bytesSent             "Bytes Sent">
 <!ENTITY aboutNetworking.bytesReceived         "Bytes Received">
+<!ENTITY aboutNetworking.logging               "Logging">
+<!ENTITY aboutNetworking.logTutorial           "See <a href='https://developer.mozilla.org/docs/Mozilla/Debugging/HTTP_logging'>HTTP Logging</a> for instructions on how to use this tool.">
+<!ENTITY aboutNetworking.currentLogFile        "Current Log File:">
+<!ENTITY aboutNetworking.currentLogModules     "Current Log Modules:">
+<!ENTITY aboutNetworking.setLogFile            "Set Log File">
+<!ENTITY aboutNetworking.setLogModules         "Set Log Modules">
+<!ENTITY aboutNetworking.startLogging          "Start Logging">
+<!ENTITY aboutNetworking.stopLogging           "Stop Logging">
 <!ENTITY aboutNetworking.dnsLookup             "DNS Lookup">
 <!ENTITY aboutNetworking.dnsLookupButton       "Resolve">
 <!ENTITY aboutNetworking.dnsDomain             "Domain">
 <!ENTITY aboutNetworking.dnsLookupTableColumn  "IPs">
diff --git a/toolkit/chrome/global/aboutProfiles.properties b/toolkit/chrome/global/aboutProfiles.properties
--- a/toolkit/chrome/global/aboutProfiles.properties
+++ b/toolkit/chrome/global/aboutProfiles.properties
@@ -34,8 +34,9 @@ deleteFiles = Delete Files
 dontDeleteFiles = Don't Delete Files
 
 openDir = Open Directory
 # LOCALIZATION NOTE (macOpenDir): This is the Mac-specific variant of openDir.
 # This allows us to use the preferred"Finder" terminology on Mac.
 macOpenDir = Show in Finder
 # LOCALIZATION NOTE (winOpenDir2): This is the Windows-specific variant of
 # openDir.
+winOpenDir2 = Open Folder
diff --git a/toolkit/chrome/global/aboutSupport.properties b/toolkit/chrome/global/aboutSupport.properties
--- a/toolkit/chrome/global/aboutSupport.properties
+++ b/toolkit/chrome/global/aboutSupport.properties
@@ -81,16 +81,17 @@ bugLink = bug %1$S
 # LOCALIZATION NOTE %1$S will be replaced with an arbitrary identifier
 # string that can be searched on DXR/MXR or grepped in the source tree.
 unknownFailure = Blocklisted; failure code %1$S
 d3d11layersCrashGuard = D3D11 Compositor
 d3d11videoCrashGuard = D3D11 Video Decoder
 d3d9videoCrashGuard = D3D9 Video Decoder
 glcontextCrashGuard = OpenGL
 resetOnNextRestart = Reset on Next Restart
+gpuProcessKillButton = Terminate GPU Process
 
 minLibVersions = Expected minimum version
 loadedLibVersions = Version in use
 
 hasSeccompBPF = Seccomp-BPF (System Call Filtering)
 hasSeccompTSync = Seccomp Thread Synchronisation
 hasUserNamespaces = User Namespaces
 hasPrivilegedUserNamespaces = User Namespaces for privileged processes
diff --git a/toolkit/chrome/global/aboutTelemetry.dtd b/toolkit/chrome/global/aboutTelemetry.dtd
--- a/toolkit/chrome/global/aboutTelemetry.dtd
+++ b/toolkit/chrome/global/aboutTelemetry.dtd
@@ -99,16 +99,20 @@ Ping
 <!ENTITY aboutTelemetry.threadHangStatsSection "
   Thread Hangs
 ">
 
 <!ENTITY aboutTelemetry.scalarsSection "
   Scalars
 ">
 
+<!ENTITY aboutTelemetry.keyedScalarsSection "
+  Keyed Scalars
+">
+
 <!ENTITY aboutTelemetry.histogramsSection "
   Histograms
 ">
 
 <!ENTITY aboutTelemetry.keyedHistogramsSection "
   Keyed Histograms
 ">
 
diff --git a/toolkit/chrome/global/printPreview.dtd b/toolkit/chrome/global/printPreview.dtd
--- a/toolkit/chrome/global/printPreview.dtd
+++ b/toolkit/chrome/global/printPreview.dtd
@@ -28,15 +28,16 @@
 <!ENTITY p125.label           "125&#037;">
 <!ENTITY p150.label           "150&#037;">
 <!ENTITY p175.label           "175&#037;">
 <!ENTITY p200.label           "200&#037;">
 <!ENTITY Custom.label         "Custom…">
 <!ENTITY ShrinkToFit.label    "Shrink To Fit">
 <!ENTITY customPrompt.title   "Custom Scale…">
 <!ENTITY simplifyPage.label   "Simplify Page">
+<!ENTITY simplifyPage.accesskey "i">
 <!ENTITY simplifyPage.enabled.tooltip  "Change layout for easier reading">
 <!ENTITY simplifyPage.disabled.tooltip "This page cannot be automatically simplified">
 
 <!ENTITY homearrow.tooltip    "First page">
 <!ENTITY endarrow.tooltip     "Last page">
 <!ENTITY nextarrow.tooltip    "Next page">
 <!ENTITY previousarrow.tooltip "Previous page">
diff --git a/toolkit/chrome/mozapps/extensions/extensions.dtd b/toolkit/chrome/mozapps/extensions/extensions.dtd
--- a/toolkit/chrome/mozapps/extensions/extensions.dtd
+++ b/toolkit/chrome/mozapps/extensions/extensions.dtd
@@ -241,8 +241,11 @@ some of the best and most popular add-on
 <!ENTITY disabledUnsigned.description.end " or ask the developer to get them verified.">
 <!ENTITY disabledUnsigned.learnMore "Learn more about our efforts to help keep you safe online.">
 <!-- LOCALIZATION NOTE (disabledUnsigned.devInfo.start, disabledUnsigned.devInfo.linkToManual, disabledUnsigned.devInfo.end):
      These entities form a sentence, with disabledUnsigned.devInfo.linkToManual
      being a link to an external site. -->
 <!ENTITY disabledUnsigned.devInfo.start "Developers interested in getting their add-ons verified can continue by reading our ">
 <!ENTITY disabledUnsigned.devInfo.linkToManual "manual">
 <!ENTITY disabledUnsigned.devInfo.end ".">
+
+<!ENTITY pluginDeprecation.description "Missing something? Some plugins are no longer supported by &brandShortName;.">
+<!ENTITY pluginDeprecation.learnMore "Learn More.">
diff --git a/toolkit/chrome/passwordmgr/passwordmgr.properties b/toolkit/chrome/passwordmgr/passwordmgr.properties
--- a/toolkit/chrome/passwordmgr/passwordmgr.properties
+++ b/toolkit/chrome/passwordmgr/passwordmgr.properties
@@ -60,8 +60,11 @@ loginsDescriptionFiltered=The following 
 # This is used to show the context menu login items with their age.
 # 1st string is the username for the login, 2nd is the login's age.
 loginHostAge=%1$S (%2$S)
 # LOCALIZATION NOTE (noUsername):
 # String is used on the context menu when a login doesn't have a username.
 noUsername=No username
 duplicateLoginTitle=Login already exists
 duplicateLogin=A duplicate login already exists.
+
+insecureFieldWarningDescription = This connection is not secure. Logins entered here could be compromised.
+insecureFieldWarningLearnMore = Learn More
diff --git a/toolkit/chrome/places/places.properties b/toolkit/chrome/places/places.properties
--- a/toolkit/chrome/places/places.properties
+++ b/toolkit/chrome/places/places.properties
@@ -1,16 +1,17 @@
 # This Source Code Form is subject to the terms of the Mozilla Public
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
 BookmarksMenuFolderTitle=Bookmarks Menu
 BookmarksToolbarFolderTitle=Bookmarks Toolbar
 OtherBookmarksFolderTitle=Other Bookmarks
 TagsFolderTitle=Tags
+MobileBookmarksFolderTitle=Mobile Bookmarks
 
 # LOCALIZATION NOTE (dateName):
 # These are used to generate history containers when history is grouped by date
 finduri-AgeInDays-is-0=Today
 finduri-AgeInDays-is-1=Yesterday
 finduri-AgeInDays-is=%S days ago
 finduri-AgeInDays-last-is=Last %S days
 finduri-AgeInDays-isgreater=Older than %S days
diff --git a/toolkit/crashreporter/crashes.dtd b/toolkit/crashreporter/crashes.dtd
--- a/toolkit/crashreporter/crashes.dtd
+++ b/toolkit/crashreporter/crashes.dtd
@@ -1,8 +1,13 @@
 <!-- This Source Code Form is subject to the terms of the Mozilla Public
    - License, v. 2.0. If a copy of the MPL was not distributed with this
    - file, You can obtain one at http://mozilla.org/MPL/2.0/. -->
 
+<!ENTITY crashReports.title         "Crash Reports">
+<!ENTITY crashesUnsubmitted.label   "Unsubmitted Crash Reports">
+<!ENTITY crashesSubmitted.label     "Submitted Crash Reports">
 <!ENTITY id.heading                 "Report ID">
+<!ENTITY dateCrashed.heading        "Date Crashed">
+<!ENTITY dateSubmitted.heading      "Date Submitted">
 <!ENTITY noReports.label            "No crash reports have been submitted.">
 <!ENTITY noConfig.label             "This application has not been configured to display crash reports. The preference <code>breakpad.reportURL</code> must be set.">
 <!ENTITY clearAllReports.label      "Remove All Reports">
